package osclient

import (
	"code.fbi.h-da.de/danet/ekms/osclient/additions"
	"github.com/openconfig/ygot/ygot"
)

// Osclient describes
type Osclient interface {
	additions.System
	UpdateConfig(config *ygot.ValidatedGoStruct) error
}

type client struct {
	additions.System
}

func NewOsClient() Osclient {
	newSys, err := additions.NewSystem()
	if err != nil {
		panic(err)
	}

	return &client{
		System: newSys,
	}
}

func (oc *client) UpdateConfig(config *ygot.ValidatedGoStruct) error {
	return nil
}
